main.floors.MT48=
{
    "floorId": "MT48",
    "title": "魔塔 第48层",
    "name": "第 48 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,246, 32,  0,  1,  0,  0, 31, 31, 31,  0,  0,  1],
    [  1,  0,  0,121,  1, 82,  1,  1,  1,  1,  1, 82,  1],
    [  1,  0,220,  0,  1,  0,  1,246,  1,246,  1,  0,  1],
    [  1,  1, 82,  1,  1,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,204,  0,  0,  1,246,  1,246,  1,  0,  1],
    [  1,  0,  1,  1, 81,  1,  1,  1,  1,  1,  1,  0,  1],
    [  1,207,  1,  0,219,  0,  1,  0,  0,  0,219,  0,  1],
    [  1,  0,  1, 27,  0, 31,  1,  1, 85,  1,  1,  0,  1],
    [  1,219,  1,  1, 81,  1,  1,  0,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,228,  0,  1,  0, 41,  0,  1,  0,  1],
    [  1, 87,  1, 28,427, 32,  1,  0,  0,  0,  1, 88,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "section5.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "1,1": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": false,
            "opacity": 0.2,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "setBlockOpacity",
                    "opacity": 1,
                    "time": 200
                },
                "\t[魔法警卫,womanMagician]居然被你发现了",
                {
                    "type": "battle"
                },
                {
                    "type": "openDoor",
                    "loc": [
                        8,
                        8
                    ]
                },
                {
                    "type": "hide",
                    "remove": true
                }
            ]
        },
        "3,2": [
            "\t[老登,man]据说类似骰子上点数5的形状有封印魔法的效果。当你和这个区域的Boss作战的时候你最好记得这点。",
            {
                "type": "hide",
                "remove": true
            }
        ]
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":before",
            "stair": "upFloor"
        },
        "1,11": {
            "floorId": ":next",
            "stair": "downFloor"
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        1,
        10
    ],
    "downFloor": [
        11,
        10
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {},
    "bg2map": [

],
    "fg2map": [

]
}