var items_296f5d02_12fd_4166_a7c1_b5e830c9ee3a = 
{
	"yellowKey": {
		"cls": "tools",
		"name": "黄钥匙",
		"text": "可以打开一扇黄门",
		"hideInToolbox": true,
		"hideInReplay": true,
		"useItemEvent2": null
	},
	"blueKey": {
		"cls": "tools",
		"name": "蓝钥匙",
		"text": "可以打开一扇蓝门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"redKey": {
		"cls": "tools",
		"name": "红钥匙",
		"text": "可以打开一扇红门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"redGem": {
		"cls": "items",
		"name": "红宝石",
		"text": "攻击+${core.values.redGem}",
		"itemEffect": "core.status.hero.atk += core.values.redGem * core.status.thisMap.ratio",
		"itemEffectTip": "，提升 ${core.values.redGem * core.status.thisMap.ratio} 点攻击",
		"useItemEffect": "core.status.hero.atk += core.values.redGem",
		"canUseItemEffect": "true"
	},
	"blueGem": {
		"cls": "items",
		"name": "蓝宝石",
		"text": "，防御+${core.values.blueGem}",
		"itemEffect": "core.status.hero.def += core.values.blueGem*core.status.thisMap.ratio",
		"itemEffectTip": "，提升 ${core.values.blueGem * core.status.thisMap.ratio} 点防御",
		"useItemEffect": "core.status.hero.def += core.values.blueGem",
		"canUseItemEffect": "true"
	},
	"greenGem": {
		"cls": "items",
		"name": "绿宝石",
		"text": "，护盾+${core.values.greenGem}",
		"itemEffect": "core.status.hero.mdef += core.values.greenGem * core.status.thisMap.ratio",
		"itemEffectTip": "，护盾+${core.values.greenGem * core.status.thisMap.ratio}",
		"useItemEffect": "core.status.hero.mdef += core.values.greenGem",
		"canUseItemEffect": "true"
	},
	"yellowGem": {
		"cls": "items",
		"name": "黄宝石",
		"text": "可以进行加点",
		"itemEffect": "core.status.hero.hp+=1000;core.status.hero.atk+=6;core.status.hero.def+=6;core.status.hero.mdef+=10;",
		"itemEffectTip": "，全属性提升",
		"useItemEvent": [
			{
				"type": "choices",
				"choices": [
					{
						"text": "攻击+1",
						"action": [
							{
								"type": "setValue",
								"name": "status:atk",
								"operator": "+=",
								"value": "1"
							}
						]
					},
					{
						"text": "防御+2",
						"action": [
							{
								"type": "setValue",
								"name": "status:def",
								"operator": "+=",
								"value": "2"
							}
						]
					},
					{
						"text": "生命+200",
						"action": [
							{
								"type": "setValue",
								"name": "status:hp",
								"operator": "+=",
								"value": "200"
							}
						]
					}
				]
			}
		],
		"canUseItemEffect": "true"
	},
	"redPotion": {
		"cls": "items",
		"name": "红血瓶",
		"text": "，生命+${core.values.redPotion}",
		"itemEffect": "core.status.hero.hp += core.values.redPotion*core.status.thisMap.ratio",
		"itemEffectTip": "，提升 ${core.values.redPotion * core.status.thisMap.ratio} 点生命",
		"useItemEffect": "core.status.hero.hp += core.values.redPotion",
		"canUseItemEffect": "true"
	},
	"bluePotion": {
		"cls": "items",
		"name": "蓝血瓶",
		"text": "，生命+${core.values.bluePotion}",
		"itemEffect": "core.status.hero.hp += core.values.bluePotion*core.status.thisMap.ratio",
		"itemEffectTip": "，提升 ${core.values.bluePotion * core.status.thisMap.ratio} 点生命",
		"useItemEffect": "core.status.hero.hp += core.values.bluePotion",
		"canUseItemEffect": "true"
	},
	"yellowPotion": {
		"cls": "items",
		"name": "黄血瓶",
		"text": "，生命+${core.values.yellowPotion}",
		"itemEffect": "core.status.hero.hp += core.values.yellowPotion*core.status.thisMap.ratio",
		"itemEffectTip": "，生命+${core.values.yellowPotion * core.status.thisMap.ratio}",
		"useItemEffect": "core.status.hero.hp += core.values.yellowPotion",
		"canUseItemEffect": "true"
	},
	"greenPotion": {
		"cls": "items",
		"name": "绿血瓶",
		"text": "，生命+${core.values.greenPotion}",
		"itemEffect": "core.status.hero.hp += core.values.greenPotion*core.status.thisMap.ratio",
		"itemEffectTip": "，生命+${core.values.greenPotion * core.status.thisMap.ratio}",
		"useItemEffect": "core.status.hero.hp += core.values.greenPotion",
		"canUseItemEffect": "true"
	},
	"sword0": {
		"cls": "items",
		"name": "破旧的剑",
		"text": "一把已经生锈的剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 0
			},
			"percentage": {}
		},
		"itemEffect": "core.status.hero.atk += 0",
		"itemEffectTip": "，攻击+0"
	},
	"sword1": {
		"cls": "items",
		"name": "铁剑",
		"text": "一把很普通的铁剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 10
			}
		},
		"itemEffect": "core.status.hero.atk += 10;\ncore.setFlag('nowWeapon', 'sword1');",
		"itemEffectTip": "，提升 10 点攻击"
	},
	"sword2": {
		"cls": "items",
		"name": "银剑",
		"text": "一把很普通的银剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 20
			},
			"percentage": {}
		},
		"itemEffect": "core.status.hero.atk += 20;\ncore.setFlag('nowWeapon', 'sword2');",
		"itemEffectTip": "，提升 20 点攻击"
	},
	"sword3": {
		"cls": "items",
		"name": "骑士剑",
		"text": "一把很普通的骑士剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 40
			}
		},
		"itemEffect": "core.status.hero.atk += 40;\ncore.setFlag('nowWeapon', 'sword3');",
		"itemEffectTip": "，提升 40 点攻击"
	},
	"sword4": {
		"cls": "items",
		"name": "圣剑",
		"text": "一把很普通的圣剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 50
			}
		},
		"itemEffect": "core.status.hero.atk += 50;\ncore.setFlag('nowWeapon', 'sword4');",
		"itemEffectTip": "，提升 50 点攻击"
	},
	"sword5": {
		"cls": "items",
		"name": "神圣剑",
		"text": "一把很普通的神圣剑",
		"equip": {
			"type": 0,
			"animate": "sword",
			"value": {
				"atk": 100
			}
		},
		"itemEffect": "core.status.hero.atk += 100;\ncore.setFlag('nowWeapon', 'sword5');",
		"itemEffectTip": "，提升 100 点攻击"
	},
	"shield0": {
		"cls": "items",
		"name": "破旧的盾",
		"text": "一个很破旧的铁盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 0
			}
		},
		"itemEffect": "core.status.hero.def += 0",
		"itemEffectTip": "，防御+0"
	},
	"shield1": {
		"cls": "items",
		"name": "铁盾",
		"text": "一个很普通的铁盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 10
			}
		},
		"itemEffect": "core.status.hero.def += 10;\ncore.setFlag('nowShield', 'shield1');",
		"itemEffectTip": "，提升 10 点防御"
	},
	"shield2": {
		"cls": "items",
		"name": "银盾",
		"text": "一个很普通的银盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 20
			}
		},
		"itemEffect": "core.status.hero.def += 20;\ncore.setFlag('nowShield', 'shield2');",
		"itemEffectTip": "，提升 20 点防御"
	},
	"shield3": {
		"cls": "items",
		"name": "骑士盾",
		"text": "一个很普通的骑士盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 40
			}
		},
		"itemEffect": "core.status.hero.def += 40;\ncore.setFlag('nowShield', 'shield3');",
		"itemEffectTip": "，提升 40 点防御"
	},
	"shield4": {
		"cls": "items",
		"name": "圣盾",
		"text": "一个很普通的圣盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 50
			}
		},
		"itemEffect": "core.status.hero.def += 50;\ncore.setFlag('nowShield', 'shield4');",
		"itemEffectTip": "，提升 50 点防御"
	},
	"shield5": {
		"cls": "items",
		"name": "神圣盾",
		"text": "一个很普通的神圣盾",
		"equip": {
			"type": 1,
			"value": {
				"def": 100,
				"mdef": 100
			}
		},
		"itemEffect": "core.status.hero.def += 100;\ncore.setFlag('nowShield', 'shield5');\ncore.setFlag('shield5', 1);",
		"itemEffectTip": "，提升 100 点防御，并免疫魔法伤害"
	},
	"superPotion": {
		"cls": "tools",
		"name": "圣水",
		"itemEffect": "core.status.hero.hp *= 2",
		"itemEffectTip": "增加10倍攻击+5倍防御的生命",
		"useItemEffect": "var hp = Math.round(10 * core.status.hero.atk + 5 * core.status.hero.def + hero.mdef)\ncore.status.hero.hp += hp;\ncore.insertAction([\n\t{ \"type\": \"playSound\", \"name\": \"item.mp3\" },\n\t{ \"type\": \"tip\", \"text\": \"使用圣水，增加 \" + hp + \" 生命\" },\n]);\ncore.insertCommonEvent('天秤座');",
		"canUseItemEffect": "true",
		"text": "增加10倍攻击+5倍防御的生命+1倍魔防",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"book": {
		"cls": "constants",
		"name": "怪物手册",
		"text": "可以查看当前楼层各怪物属性",
		"hideInToolbox": true,
		"useItemEffect": "core.ui.drawBook(0)",
		"canUseItemEffect": "true",
		"hideInReplay": true
	},
	"fly": {
		"cls": "constants",
		"name": "楼层传送器",
		"text": "可以自由往来去过的楼层",
		"hideInReplay": true,
		"hideInToolbox": true,
		"useItemEffect": "if (core.flags.flyRecordPosition && core.getFlag(\"平面楼传\")) { core.plugin.drawFlyMap() } else { core.ui.drawFly(core.floorIds.indexOf(core.status.floorId)); }",
		"canUseItemEffect": "(function () {\n\tif (core.flags.flyNearStair && !core.nearStair()) return false;\n\treturn core.status.maps[core.status.floorId].canFlyFrom;\n})();"
	},
	"coin": {
		"cls": "constants",
		"name": "幸运金币",
		"text": "持有时打败怪物可得双倍金币",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"snow": {
		"cls": "constants",
		"name": "冰冻徽章",
		"text": "可以将面前的熔岩变成平地",
		"useItemEffect": "(function () {\n\tvar success = false;\n\n\tvar snowFourDirections = true; // 是否多方向雪花；如果是将其改成true\n\tif (snowFourDirections) {\n\t\t// 多方向雪花\n\t\tfor (var direction in core.utils.scan) { // 多方向雪花默认四方向，如需改为八方向请将这两个scan改为scan2\n\t\t\tvar delta = core.utils.scan[direction];\n\t\t\tvar nx = core.getHeroLoc('x') + delta.x,\n\t\t\t\tny = core.getHeroLoc('y') + delta.y;\n\t\t\tif (core.getBlockId(nx, ny) == 'lava') {\n\t\t\t\tcore.removeBlock(nx, ny);\n\t\t\t\tsuccess = true;\n\t\t\t}\n\t\t}\n\t} else {\n\t\tif (core.getBlockId(core.nextX(), core.nextY()) == 'lava') {\n\t\t\tcore.removeBlock(core.nextX(), core.nextY());\n\t\t\tsuccess = true;\n\t\t}\n\t}\n\n\tif (success) {\n\t\tcore.playSound('打开界面');\n\t\tcore.drawTip(core.material.items[itemId].name + '使用成功', itemId);\n\t} else {\n\t\tcore.playSound('操作失败');\n\t\tcore.drawTip(\"当前无法使用\" + core.material.items[itemId].name, itemId);\n\t\tcore.addItem(itemId, 1);\n\t\treturn;\n\t}\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"cross": {
		"cls": "constants",
		"name": "十字架",
		"text": "持有后无视怪物的无敌属性",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"knife": {
		"cls": "constants",
		"name": "屠龙匕首",
		"text": "对魔龙攻击加倍",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"amulet": {
		"cls": "constants",
		"name": "护符",
		"text": "持有时无视负面地形",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"bigKey": {
		"cls": "tools",
		"name": "大黄门钥匙",
		"text": "可以开启当前层所有黄门",
		"itemEffect": "core.addItem('yellowKey', 1);\ncore.addItem('blueKey', 1);\ncore.addItem('redKey', 1);",
		"itemEffectTip": "，全钥匙+1",
		"useItemEffect": "(function () {\n\tvar actions = core.searchBlock(\"yellowDoor\").map(function (block) {\n\t\treturn { \"type\": \"openDoor\", \"loc\": [block.x, block.y], \"async\": true };\n\t});\n\tactions.push({ \"type\": \"waitAsync\" });\n\tactions.push({ \"type\": \"tip\", \"text\": core.material.items[itemId].name + \"使用成功\" });\n\tcore.insertAction(actions);\n})();",
		"canUseItemEffect": "(function () {\n\treturn core.searchBlock('yellowDoor').length > 0;\n})();",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"greenKey": {
		"cls": "tools",
		"name": "绿钥匙",
		"text": "可以打开一扇绿门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"steelKey": {
		"cls": "tools",
		"name": "铁门钥匙",
		"text": "可以打开一扇铁门",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"pickaxe": {
		"cls": "tools",
		"name": "破墙镐",
		"text": "可以破坏勇士面前的墙壁",
		"useItemEffect": "(function () {\n\tvar canBreak = function (x, y) {\n\t\tvar block = core.getBlock(x, y);\n\t\tif (block == null || block.disable) return false;\n\t\treturn block.event.canBreak;\n\t};\n\n\tvar success = false;\n\tvar pickaxeFourDirections = true; // 是否多方向破；如果是将其改成true\n\tif (pickaxeFourDirections) {\n\t\t// 多方向破\n\t\tfor (var direction in core.utils.scan) { // 多方向破默认四方向，如需改成八方向请将这两个scan改为scan2\n\t\t\tvar delta = core.utils.scan[direction];\n\t\t\tvar nx = core.getHeroLoc('x') + delta.x,\n\t\t\t\tny = core.getHeroLoc('y') + delta.y;\n\t\t\ttrue\n\t\t\tif (canBreak(nx, ny)) {\n\t\t\t\tcore.removeBlock(nx, ny);\n\t\t\t\tsuccess = true;\n\t\t\t}\n\t\t}\n\t} else {\n\t\t// 仅破当前\n\t\tif (canBreak(core.nextX(), core.nextY())) {\n\t\t\tcore.removeBlock(core.nextX(), core.nextY());\n\t\t\tsuccess = true;\n\t\t}\n\t}\n\n\tif (success) {\n\t\tcore.playSound('破墙镐');\n\t\tcore.drawTip(core.material.items[itemId].name + '使用成功', itemId);\n\t} else {\n\t\t// 无法使用\n\t\tcore.playSound('操作失败');\n\t\tcore.drawTip(\"当前无法使用\" + core.material.items[itemId].name, itemId);\n\t\tcore.addItem(itemId, 1);\n\t\treturn;\n\t}\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"icePickaxe": {
		"cls": "tools",
		"name": "破冰镐",
		"text": "可以破坏勇士面前的一堵冰墙",
		"useItemEffect": "(function () {\n\tcore.drawTip(core.material.items[itemId].name + '使用成功', itemId);\n\tcore.insertAction({ \"type\": \"openDoor\", \"loc\": [\"core.nextX()\", \"core.nextY()\"] });\n})();",
		"canUseItemEffect": "(function () {\n\treturn core.getBlockId(core.nextX(), core.nextY()) == 'ice';\n})();",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"bomb": {
		"cls": "tools",
		"name": "炸弹",
		"text": "可以炸掉勇士面前的怪物",
		"useItemEffect": "(function () {\n\tvar bombList = []; // 炸掉的怪物坐标列表\n\tvar todo = []; // 炸弹后事件\n\tvar money = 0,\n\t\texp = 0; // 炸弹获得的金币和经验\n\n\tvar canBomb = function (x, y) {\n\t\tvar block = core.getBlock(x, y);\n\t\tif (block == null || block.disable || block.event.cls.indexOf('enemy') != 0) return false;\n\t\tvar enemy = core.material.enemys[block.event.id];\n\t\treturn enemy && !enemy.notBomb;\n\t};\n\n\tvar bomb = function (x, y) {\n\t\tif (!canBomb(x, y)) return;\n\t\tbombList.push([x, y]);\n\t\tvar id = core.getBlockId(x, y),\n\t\t\tenemy = core.material.enemys[id];\n\t\tmoney += core.getEnemyValue(enemy, 'money', x, y) || 0;\n\t\texp += core.getEnemyValue(enemy, 'exp', x, y) || 0;\n\t\tcore.push(todo, core.floors[core.status.floorId].afterBattle[x + \",\" + y]);\n\t\tcore.push(todo, enemy.afterBattle);\n\t\tcore.removeBlock(x, y);\n\t}\n\n\t// 如果要多方向可炸，把这里的false改成true\n\tif (true) {\n\t\tvar scan = core.utils.scan; // 多方向炸时默认四方向，如果要改成八方向炸可以改成 core.utils.scan2\n\t\tfor (var direction in scan) {\n\t\t\tvar delta = scan[direction];\n\t\t\tbomb(core.getHeroLoc('x') + delta.x, core.getHeroLoc('y') + delta.y);\n\t\t}\n\t} else {\n\t\t// 仅炸当前\n\t\tbomb(core.nextX(), core.nextY());\n\t}\n\n\tif (bombList.length == 0) {\n\t\tcore.playSound('操作失败');\n\t\tcore.drawTip('当前无法使用' + core.material.items[itemId].name, itemId);\n\t\tcore.addItem(itemId, 1);\n\t\treturn;\n\t}\n\n\tcore.playSound('炸弹');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功', itemId);\n\n\t// 取消这里的注释可以炸弹后获得金币和经验\n\tcore.status.hero.money += money;\n\tcore.status.hero.exp += exp;\n\n\t// 取消这里的注释可以炸弹引发战后事件\n\tif (todo.length > 0) core.insertAction(todo);\n\n})();",
		"canUseItemEffect": "true",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"centerFly": {
		"cls": "tools",
		"name": "对称飞行器",
		"text": "可以飞向当前楼层中心对称的位置",
		"useItemEffect": "core.playSound('centerFly.mp3');\ncore.clearMap('hero');\ncore.setHeroLoc('x', core.bigmap.width - 1 - core.getHeroLoc('x'));\ncore.setHeroLoc('y', core.bigmap.height - 1 - core.getHeroLoc('y'));\ncore.drawHero();\ncore.setFlag('talking', 0);\ncore.drawTip(core.material.items[itemId].name + '使用成功');",
		"canUseItemEffect": "(function () {\n\tvar toX = core.bigmap.width - 1 - core.getHeroLoc('x'),\n\t\ttoY = core.bigmap.height - 1 - core.getHeroLoc('y');\n\tvar id = core.getBlockId(toX, toY);\n\treturn id == null;\n})();",
		"hideInToolbox": true,
		"hideInReplay": true,
		"useItemEvent": null
	},
	"upFly": {
		"cls": "tools",
		"name": "上楼器",
		"text": "可以飞往楼上的相同位置",
		"useItemEffect": "(function () {\n\tvar floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) + 1];\n\tif (core.status.event.id == 'action') {\n\t\tcore.insertAction([\n\t\t\t{ \"type\": \"changeFloor\", \"loc\": [core.getHeroLoc('x'), core.getHeroLoc('y')], \"floorId\": floorId },\n\t\t\t{ \"type\": \"tip\", \"text\": core.material.items[itemId].name + '使用成功' }\n\t\t]);\n\t} else {\n\t\tcore.changeFloor(floorId, null, core.status.hero.loc, null, function () {\n\t\t\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n\t\t\tcore.replay();\n\t\t});\n\t}\n})();",
		"canUseItemEffect": "(function () {\n\tvar floorId = core.status.floorId,\n\t\tindex = core.floorIds.indexOf(floorId);\n\tif (floorId == 'MT49' || floorId == \"MT50\") return false;\n\tif (index < core.floorIds.length - 1) {\n\t\tvar toId = core.floorIds[index + 1],\n\t\t\ttoX = core.getHeroLoc('x'),\n\t\t\ttoY = core.getHeroLoc('y');\n\t\tvar mw = core.floors[toId].width,\n\t\t\tmh = core.floors[toId].height;\n\t\tif (toX >= 0 && toX < mw && toY >= 0 && toY < mh && core.getBlock(toX, toY, toId) == null) {\n\t\t\treturn true;\n\t\t}\n\t}\n\treturn false;\n})();",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"downFly": {
		"cls": "tools",
		"name": "下楼器",
		"text": "可以飞往楼下的相同位置",
		"useItemEffect": "(function () {\n\tvar floorId = core.floorIds[core.floorIds.indexOf(core.status.floorId) - 1];\n\tif (core.status.event.id == 'action') {\n\t\tcore.insertAction([\n\t\t\t{ \"type\": \"changeFloor\", \"loc\": [core.getHeroLoc('x'), core.getHeroLoc('y')], \"floorId\": floorId },\n\t\t\t{ \"type\": \"tip\", \"text\": core.material.items[itemId].name + '使用成功' }\n\t\t]);\n\t} else {\n\t\tcore.changeFloor(floorId, null, core.status.hero.loc, null, function () {\n\t\t\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n\t\t\tcore.replay();\n\t\t});\n\t}\n})();",
		"canUseItemEffect": "(function () {\n\tvar floorId = core.status.floorId,\n\t\tindex = core.floorIds.indexOf(floorId);\n\tif (floorId == \"MT50\" || floorId == \"MT_Hush\") return false;\n\tif (index > 0) {\n\t\tvar toId = core.floorIds[index - 1],\n\t\t\ttoX = core.getHeroLoc('x'),\n\t\t\ttoY = core.getHeroLoc('y');\n\t\tvar mw = core.floors[toId].width,\n\t\t\tmh = core.floors[toId].height;\n\t\tif (toX >= 0 && toX < mw && toY >= 0 && toY < mh && core.getBlock(toX, toY, toId) == null) {\n\t\t\treturn true;\n\t\t}\n\t}\n\treturn false;\n})();",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"earthquake": {
		"cls": "tools",
		"name": "地震卷轴",
		"text": "可以破坏当前层的所有墙壁",
		"useItemEffect": "(function () {\n\tvar indexes = [];\n\tfor (var index in core.status.thisMap.blocks) {\n\t\tvar block = core.status.thisMap.blocks[index];\n\t\tif (!block.disable && block.event.canBreak) {\n\t\t\tindexes.push(index);\n\t\t}\n\t}\n\tcore.removeBlockByIndexes(indexes);\n\tcore.drawMap();\n\tcore.playSound('door.mp3');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n})();",
		"canUseItemEffect": "(function () {\n\treturn core.status.thisMap.blocks.filter(function (block) {\n\t\treturn !block.disable && block.event.canBreak;\n\t}).length > 0;\n})();",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"poisonWine": {
		"cls": "tools",
		"name": "解毒药水",
		"text": "可以解除中毒状态",
		"useItemEffect": "core.triggerDebuff('remove', 'poison');",
		"canUseItemEffect": "core.hasFlag('poison');"
	},
	"weakWine": {
		"cls": "tools",
		"name": "解衰药水",
		"text": "可以解除衰弱状态",
		"useItemEffect": "core.triggerDebuff('remove', 'weak');",
		"canUseItemEffect": "core.hasFlag('weak');"
	},
	"curseWine": {
		"cls": "tools",
		"name": "解咒药水",
		"text": "可以解除诅咒状态",
		"useItemEffect": "core.triggerDebuff('remove', 'curse');",
		"canUseItemEffect": "core.hasFlag('curse');"
	},
	"superWine": {
		"cls": "tools",
		"name": "万能药水",
		"text": "可以解除所有不良状态",
		"useItemEffect": "core.triggerDebuff('remove', ['poison', 'weak', 'curse']);",
		"canUseItemEffect": "(function() {\n\treturn core.hasFlag('poison') || core.hasFlag('weak') || core.hasFlag('curse');\n})();"
	},
	"hammer": {
		"cls": "tools",
		"name": "圣锤",
		"text": "该道具尚未被定义"
	},
	"lifeWand": {
		"cls": "tools",
		"name": "生命魔杖",
		"text": "可以恢复100点生命值",
		"useItemEvent": [
			{
				"type": "comment",
				"text": "先恢复一个魔杖（因为使用道具必须消耗一个）"
			},
			{
				"type": "function",
				"function": "function(){\ncore.addItem('lifeWand', 1);\n}"
			},
			{
				"type": "playSound",
				"name": "打开界面"
			},
			{
				"type": "input",
				"text": "请输入生命魔杖使用次数：(0-${item:lifeWand})"
			},
			{
				"type": "comment",
				"text": "【接受用户输入】弹窗输入的结果将会保存在“flag:input”中\n如果需要更多帮助，请查阅帮助文档"
			},
			{
				"type": "if",
				"condition": "flag:input<=item:lifeWand",
				"true": [
					{
						"type": "setValue",
						"name": "item:lifeWand",
						"operator": "-=",
						"value": "flag:input"
					},
					{
						"type": "setValue",
						"name": "status:hp",
						"operator": "+=",
						"value": "flag:input*100"
					},
					{
						"type": "playSound",
						"name": "回血"
					},
					"成功使用${flag:input}次生命魔杖，恢复${flag:input*100}点生命。"
				],
				"false": [
					{
						"type": "playSound",
						"name": "操作失败"
					},
					"输入不合法！"
				]
			}
		],
		"canUseItemEffect": "true"
	},
	"jumpShoes": {
		"cls": "tools",
		"name": "跳跃靴",
		"text": "能跳跃到前方两格处",
		"useItemEffect": "core.playSound(\"跳跃\");\ncore.insertAction({ \"type\": \"jumpHero\", \"loc\": [core.nextX(2), core.nextY(2)] });",
		"canUseItemEffect": "(function () {\n\tvar nx = core.nextX(2),\n\t\tny = core.nextY(2);\n\treturn nx >= 0 && nx < core.bigmap.width && ny >= 0 && ny < core.bigmap.height && core.getBlockId(nx, ny) == null;\n})();"
	},
	"skill1": {
		"cls": "constants",
		"name": "技能：二倍斩",
		"text": "可以打开或关闭主动技能二倍斩",
		"hideInReplay": true,
		"useItemEffect": "(function () {\n\tvar skillValue = 1; // 技能的flag:skill值，可用于当前开启技能的判定；对于新技能可以依次改成2，3等等\n\tvar skillNeed = 5; // 技能的需求\n\tvar skillName = '二倍斩'; // 技能的名称\n\n\tif (core.getFlag('skill', 0) != skillValue) { // 判断当前是否已经开了技能\n\t\tif (core.getStatus('mana') >= skillNeed) { // 这里要写当前能否开技能的条件判断，比如魔力值至少要多少\n\t\t\tcore.playSound('打开界面');\n\t\t\tcore.setFlag('skill', skillValue); // 开技能1\n\t\t\tcore.setFlag('skillName', skillName); // 设置技能名\n\t\t} else {\n\t\t\tcore.playSound('操作失败');\n\t\t\tcore.drawTip('魔力不足，无法开启技能');\n\t\t}\n\t} else { // 关闭技能\n\t\tcore.setFlag('skill', 0); // 关闭技能状态\n\t\tcore.setFlag('skillName', '无');\n\t}\n})();",
		"canUseItemEffect": "true"
	},
	"wand": {
		"cls": "constants",
		"name": "记事本",
		"text": "可以记录并查看老人和商人说的话",
		"itemEffect": null,
		"canUseItemEffect": "true",
		"hideInToolbox": true,
		"hideInReplay": true,
		"useItemEffect": "core.insertCommonEvent(\"记事本\");"
	},
	"pack": {
		"cls": "items",
		"name": "钱袋",
		"itemEffect": "core.status.hero.money += 500",
		"itemEffectTip": "，金币+500"
	},
	"I300": {
		"cls": "constants",
		"name": "帮助",
		"text": "使用后可以查看帮助",
		"itemEffect": "core.insertCommonEvent(\"帮助\");",
		"canUseItemEffect": "true",
		"hideInToolbox": true,
		"hideInReplay": true
	},
	"itembag": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"itemequip": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I359": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I360": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I361": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I362": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I363": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I383": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I384": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I385": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I386": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I387": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I392": {
		"cls": "tools",
		"name": "D12",
		"canUseItemEffect": "true",
		"text": "Rerolls rocks"
	},
	"D12": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I394": {
		"cls": "tools",
		"name": "大便",
		"canUseItemEffect": "true",
		"text": "噗！",
		"useItemEvent": null,
		"hideInToolbox": true,
		"hideInReplay": true,
		"useItemEffect": "core.addItem(\"I394\");\nif (core.getFlag('充能')) {\n\tif (core.hasItem('I396') && core.rand(10) <= 1) {\n\t\tcore.setBlock(397, hero.loc.x, hero.loc.y);\n\t} else if (core.hasItem('I401') && core.rand(10) <= 3) {\n\t\tcore.setBlock(399, hero.loc.x, hero.loc.y);\n\t} else {\n\t\tcore.setBlock(393, hero.loc.x, hero.loc.y);\n\t}\n\tcore.setFlag(\"充能\", 0);\n}"
	},
	"ThePoop": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true"
	},
	"I395": {
		"cls": "constants",
		"name": "石化大便",
		"canUseItemEffect": "true",
		"text": "幸运的感觉？"
	},
	"I396": {
		"cls": "constants",
		"name": "圣地大便",
		"canUseItemEffect": "true",
		"text": "便携式圣所",
		"useItemEvent2": null
	},
	"I401": {
		"cls": "constants",
		"name": "胎粪",
		"canUseItemEffect": "true",
		"text": "恶心",
		"useItemEvent2": [
			{
				"type": "setValue",
				"name": "flag:大便套装",
				"operator": "+=",
				"value": "1"
			},
			{
				"type": "if",
				"condition": "(flag:大便套装===2)",
				"true": [
					{
						"type": "setHeroIcon",
						"name": "lale.png"
					},
					{
						"type": "setValue",
						"name": "flag:拉了",
						"value": "1"
					}
				]
			}
		]
	},
	"I402": {
		"cls": "items",
		"name": "金币",
		"canUseItemEffect": "true",
		"itemEffect": "core.status.hero.money += 100 * core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))",
		"itemEffectTip": "，增加${1*core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))}金币"
	},
	"I403": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true",
		"itemEffect": "core.status.hero.money += 200 * core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))",
		"itemEffectTip": "，增加${200*core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))}金币"
	},
	"I404": {
		"cls": "items",
		"name": "新物品",
		"canUseItemEffect": "true",
		"itemEffect": "core.status.hero.money += 500 * core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))",
		"itemEffectTip": "，增加${500*core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))}金币"
	},
	"I405": {
		"cls": "items",
		"name": "银币",
		"canUseItemEffect": "true",
		"itemEffect": "core.status.hero.money += 1000 * core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))",
		"itemEffectTip": "，增加${1000*core.floors[core.status.floorId].ratio * (10 + core.itemCount('coin'))}金币"
	},
	"I406": {
		"cls": "items",
		"name": "金金币",
		"canUseItemEffect": "true",
		"itemEffect": "core.status.hero.money += 100 * core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))\n\n//随机位置刷新出来\nvar x, y;\nvar flag = 0;\n\n//选取空位\ndo {\n\tx = core.rand(10) + 1;\n\ty = core.rand(10) + 1;\n\tif (core.getBlockCls(x, y) === null) {\n\t\tflag = 0;\n\t} else {\n\t\tflag = 1;\n\t}\n} while (flag === 1)\n//END\n\n//生成金币，若生成次数用尽则生成普通金币\nif (core.rand(18)) {\n\tcore.setBlock(406, x, y);\n} else {\n\tcore.setBlock(408, x, y);\n}",
		"itemEffectTip": "，增加${100*core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))}金币"
	},
	"I407": {
		"cls": "tools",
		"name": "反人类卡",
		"canUseItemEffect": "true",
		"itemEffect": null,
		"itemEffectTip": null,
		"text": "好臭…",
		"useItemEffect": "for (var x = 1; x < 12; x++) {\n\tfor (var y = 1; y < 12; y++) {\n\t\tif (core.getBlockId(x, y) == null) {\n\t\t\tif (core.hasItem('I396') && core.rand(10) <= 1) {\n\t\t\t\tcore.setBlock(397, x, y);\n\t\t\t} else if (core.hasItem('I401') && core.rand(10) <= 3) {\n\t\t\t\tcore.setBlock(399, x, y);\n\t\t\t} else {\n\t\t\t\tcore.setBlock(393, x, y);\n\t\t\t}\n\t\t}\n\t}\n}"
	},
	"I408": {
		"cls": "items",
		"name": "金金币",
		"canUseItemEffect": "true",
		"itemEffectTip": "，增加${100*core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))}金币",
		"itemEffect": "core.status.hero.money += 100 * core.floors[core.status.floorId].ratio * (1 + core.itemCount('coin'))"
	},
	"I409": {
		"cls": "tools",
		"name": "翔",
		"canUseItemEffect": "true",
		"text": "翔",
		"useItemEffect": "var canBreak = function (x, y) {\n\tvar block = core.getBlock(x, y);\n\tif (block == null || block.disable) return false;\n\treturn block.event.canBreak;\n};\nvar canBomb = function (x, y) {\n\tvar block = core.getBlock(x, y);\n\tif (block == null || block.disable || block.event.cls.indexOf('enemy') != 0) return false;\n\tvar enemy = core.material.enemys[block.event.id];\n\treturn enemy && !enemy.notBomb;\n};\nvar bomb = function (x, y) {\n\tif (!canBomb(x, y)) return;\n\tbombList.push([x, y]);\n\tvar id = core.getBlockId(x, y),\n\t\tenemy = core.material.enemys[id];\n\tmoney += core.getEnemyValue(enemy, 'money', x, y) || 0;\n\texp += core.getEnemyValue(enemy, 'exp', x, y) || 0;\n\tcore.push(todo, core.floors[core.status.floorId].afterBattle[x + \",\" + y]);\n\tcore.push(todo, enemy.afterBattle);\n\tcore.removeBlock(x, y);\n};\n\n\n\ncore.addItem('I409');\nif (core.getFlag(\"翔\", 0) > 0) {\n\tvar use = core.getFlag(\"翔1\", 0);\n\tif (use == 409) use = 393;\n\tif (use == 410) use = 419;\n\tif (use == 411) use = 421;\n\tif (use == 412) use = 422;\n\tif (use == 413) use = 399;\n\tif (use == 414) use = 397;\n\tif (use == 415) use = 423;\n\tcore.addFlag('翔', -1);\n\tvar rand = core.rand(8);\n\tcore.setFlag(\"翔1\", rand + 409);\n\tif (core.getFlag(\"翔\", 0) == 0) core.setFlag(\"翔1\", 0);\n\tfor (var i = 0; i <= 3; i++) {\n\t\tif (core.getBlockCls(core.nextX(i), core.nextY(i)) == \"enemys\") {\n\t\t\tcore.setEnemyOnPoint(core.nextX(i), core.nextY(i), null, 'hp', 15, '-=');\n\t\t\tbreak\n\t\t}\n\t\tif (core.getBlockCls(core.nextX(i), core.nextY(i)) != \"enemys\" && core.getBlockId(core.nextX(i), core.nextY(i)) != null) {\n\t\t\tbreak\n\t\t}\n\t}\n\tif (use == 416) {\n\t\tfor (var direction in core.utils.scan) { // 多方向破默认四方向，如需改成八方向请将这两个scan改为scan2\n\t\t\tvar delta = core.utils.scan[direction];\n\t\t\tvar nx = core.getHeroLoc('x') + delta.x,\n\t\t\t\tny = core.getHeroLoc('y') + delta.y;\n\t\t\tbomb(nx, ny);\n\t\t\tif (canBreak(nx, ny)) {\n\t\t\t\tcore.removeBlock(nx, ny);\n\t\t\t}\n\t\t}\n\t} else {\n\t\tcore.setBlock(use, core.nextX(i - 1), core.nextY(i - 1));\n\t}\n\n}"
	},
	"I410": {
		"cls": "tools",
		"name": "玉米翔",
		"canUseItemEffect": "true",
		"text": "勇者在这个翔周围战斗时获得3倍攻击力的固伤"
	},
	"I411": {
		"cls": "tools",
		"name": "火焰翔",
		"canUseItemEffect": "true",
		"text": "在这个翔附近战斗时会额外获得50%攻击力的魔攻"
	},
	"I412": {
		"cls": "tools",
		"name": "屁翔",
		"canUseItemEffect": "true",
		"text": "放下后周围的怪物受到你攻击力*1.5的伤害"
	},
	"I413": {
		"cls": "tools",
		"name": "黑翔",
		"canUseItemEffect": "true",
		"text": "在黑翔周围战斗，怪物攻击的回合数减半"
	},
	"I414": {
		"cls": "items",
		"name": "圣翔",
		"canUseItemEffect": "true",
		"text": "放下一个圣翔，在圣翔附近攻防1.5倍"
	},
	"I415": {
		"cls": "items",
		"name": "石化翔",
		"canUseItemEffect": "true",
		"text": "可以抵挡一回合的伤害同时防御力*1.5"
	},
	"I416": {
		"cls": "items",
		"name": "炸翔",
		"canUseItemEffect": "true",
		"text": "产生3*3爆炸，对周围敌人造成3倍攻击力伤害并破坏墙壁"
	},
	"I417": {
		"cls": "items",
		"name": "小翔",
		"canUseItemEffect": "true",
		"itemEffect": "var rand = core.rand(8);\nif (!core.hasFlag(\"翔\")) core.setFlag(\"翔\", 0);\ncore.addFlag('翔', 1);\nif (core.getFlag(\"翔1\", 0) == 0) {\n\tcore.setFlag(\"翔1\", 409 + rand);\n}\nif (core.getFlag(\"翔\") >= 9) core.setFlag(\"翔\", 9)"
	},
	"I418": {
		"cls": "items",
		"name": "大翔",
		"canUseItemEffect": "true",
		"itemEffect": "var rand = core.rand(8);\nif (!core.hasFlag(\"翔\")) core.setFlag(\"翔\", 0);\ncore.addFlag('翔', 3);\nif (core.getFlag(\"翔1\", 0) == 0) core.setFlag(\"翔1\", 409 + rand);\nif (core.getFlag(\"翔\") >= 9) core.setFlag(\"翔\", 9)"
	},
	"I424": {
		"cls": "tools",
		"name": "翔",
		"canUseItemEffect": "true",
		"useItemEffect": "core.addItem(\"I424\");\ncore.useItem(\"I409\");",
		"text": "翔"
	},
	"I425": {
		"cls": "tools",
		"name": "保留",
		"canUseItemEffect": "true",
		"text": "保留你的翔",
		"useItemEffect": "var canBreak = function (x, y) {\n\tvar block = core.getBlock(x, y);\n\tif (block == null || block.disable) return false;\n\treturn block.event.canBreak;\n};\nvar canBomb = function (x, y) {\n\tvar block = core.getBlock(x, y);\n\tif (block == null || block.disable || block.event.cls.indexOf('enemy') != 0) return false;\n\tvar enemy = core.material.enemys[block.event.id];\n\treturn enemy && !enemy.notBomb;\n};\nvar bomb = function (x, y) {\n\tif (!canBomb(x, y)) return;\n\tbombList.push([x, y]);\n\tvar id = core.getBlockId(x, y),\n\t\tenemy = core.material.enemys[id];\n\tmoney += core.getEnemyValue(enemy, 'money', x, y) || 0;\n\texp += core.getEnemyValue(enemy, 'exp', x, y) || 0;\n\tcore.push(todo, core.floors[core.status.floorId].afterBattle[x + \",\" + y]);\n\tcore.push(todo, enemy.afterBattle);\n\tcore.removeBlock(x, y);\n};\n\ncore.addItem('I425');\nif (core.getFlag(\"保留\", 0) == 0) {\n\tif (core.getFlag(\"翔\", 0) > 0) {\n\t\tcore.setFlag(\"保留\", core.getFlag(\"翔1\", 0));\n\t\tcore.addFlag(\"翔\", -1);\n\t\tcore.setFlag(\"翔1\", core.rand(8) + 409)\n\t}\n} else {\n\tif (core.getFlag(\"翔\", 0) > 0) {\n\t\tvar use = core.getFlag(\"保留\", 0);\n\t\tif (use == 409) use = 393;\n\t\tif (use == 410) use = 419;\n\t\tif (use == 411) use = 421;\n\t\tif (use == 412) use = 422;\n\t\tif (use == 413) use = 399;\n\t\tif (use == 414) use = 397;\n\t\tif (use == 415) use = 423;\n\n\t\tfor (var i = 0; i <= 3; i++) {\n\t\t\tif (core.getBlockCls(core.nextX(i), core.nextY(i)) == \"enemys\") {\n\t\t\t\tcore.setEnemyOnPoint(core.nextX(i), core.nextY(i), null, 'hp', 15, '-=');\n\t\t\t\tbreak\n\t\t\t}\n\t\t\tif (core.getBlockCls(core.nextX(i), core.nextY(i)) != \"enemys\" && core.getBlockId(core.nextX(i), core.nextY(i)) != null) {\n\t\t\t\tbreak\n\t\t\t}\n\t\t}\n\t\tif (use == 416) {\n\t\t\tfor (var direction in core.utils.scan) { // 多方向破默认四方向，如需改成八方向请将这两个scan改为scan2\n\t\t\t\tvar delta = core.utils.scan[direction];\n\t\t\t\tvar nx = core.getHeroLoc('x') + delta.x,\n\t\t\t\t\tny = core.getHeroLoc('y') + delta.y;\n\t\t\t\tbomb(nx, ny);\n\t\t\t\tif (canBreak(nx, ny)) {\n\t\t\t\t\tcore.removeBlock(nx, ny);\n\t\t\t\t}\n\t\t\t}\n\t\t} else {\n\t\t\tcore.setBlock(use, core.nextX(i - 1), core.nextY(i - 1));\n\t\t}\n\n\t}\n\tcore.setFlag(\"保留\", 0);\n}"
	},
	"I426": {
		"cls": "tools",
		"name": "翔",
		"canUseItemEffect": "true",
		"useItemEffect": "core.addItem(\"I426\");\ncore.useItem(\"I425\");"
	},
	"I427": {
		"cls": "items",
		"name": "电池",
		"canUseItemEffect": "true",
		"text": "",
		"itemEffect": "core.setFlag(\"虚空\", 6)"
	},
	"I428": {
		"cls": "tools",
		"name": "虚空",
		"canUseItemEffect": "true",
		"text": "Shot Speed Up!!!!",
		"useItemEffect": "core.addItem(\"I428\");\nif (core.getFlag(\"虚空\", 0) == 6) {\n\tcore.addFlag(\"使用次数\", 1);\n\tif (core.hasFlag(\"pickaxe\")) {\n\t\tcore.addItem(\"pickaxe\");\n\t\tif (core.canUseItem('pickaxe')) {\n\t\t\tcore.useItem('pickaxe');\n\t\t} else {\n\t\t\tcore.removeItem(\"pickaxe\");\n\t\t}\n\t}\n\tif (core.hasFlag(\"bomb\")) {\n\t\tcore.addItem(\"bomb\");\n\t\tif (core.canUseItem('bomb')) {\n\t\t\tcore.useItem('bomb');\n\t\t} else {\n\t\t\tcore.useItem(\"bomb\");\n\t\t}\n\t}\n\tif (core.hasFlag(\"centerFly\")) {\n\t\tcore.addItem(\"centerFly\");\n\t\tif (core.canUseItem('centerFly')) {\n\t\t\tcore.useItem('centerFly');\n\t\t} else {\n\t\t\tcore.useItem(\"centerFly\");\n\t\t}\n\t}\n\tif (core.hasFlag(\"bigKey\")) {\n\t\tcore.addItem(\"bigKey\");\n\t\tif (core.canUseItem('bigKey')) {\n\t\t\tcore.useItem('bigKey');\n\t\t} else {\n\t\t\tcore.useItem(\"bigKey\");\n\t\t}\n\t}\n\tif (core.hasFlag(\"upFly\")) {\n\t\tcore.addItem(\"upFly\");\n\t\tif (core.canUseItem('upFly')) {\n\t\t\tcore.useItem('upFly');\n\t\t} else {\n\t\t\tcore.removeItem(\"upFly\");\n\t\t}\n\t}\n\tif (core.hasFlag(\"downFly\")) {\n\t\tcore.addItem(\"downFly\");\n\t\tif (core.canUseItem('downFly')) {\n\t\t\tcore.useItem('downFly');\n\t\t} else {\n\t\t\tcore.removeItem(\"downFly\");\n\t\t}\n\t}\n\tcore.setFlag(\"虚空\", 0);\n\tvar indexes = [];\n\tvar items = 0;\n\tfor (var index in core.status.thisMap.blocks) {\n\t\tvar block = core.status.thisMap.blocks[index];\n\t\tif (core.getBlockCls(block.x, block.y) == \"items\") {\n\t\t\tindexes.push(index);\n\t\t\tif ([\"pickaxe\", \"upFly\", \"downFly\", \"centerFly\", \"bigKey\", \"bomb\"].indexOf(core.getBlockId(block.x, block.y)) != -1) {\n\t\t\t\tcore.setFlag(core.getBlockId(block.x, block.y), 1);\n\t\t\t\titems++;\n\t\t\t}\n\t\t}\n\t}\n\tcore.removeBlockByIndexes(indexes);\n\tfor (var items_Num = indexes.length - items; items_Num > 0; items_Num--) {\n\t\tvar rand = core.rand(100);\n\t\tif (rand <= 30) {\n\t\t\tcore.status.hero.atk += core.values.redGem * core.status.thisMap.ratio\n\t\t} else if (rand <= 60) {\n\t\t\tcore.status.hero.def += core.values.blueGem * core.status.thisMap.ratio\n\t\t} else if (rand <= 80) {\n\t\t\tcore.status.hero.mdef += core.values.greenGem * core.status.thisMap.ratio\n\t\t} else if (rand <= 90) {\n\t\t\tcore.status.hero.hp += core.values.redPotion * core.status.thisMap.ratio\n\t\t} else {\n\t\t\tcore.status.hero.hp += core.values.bluePotion * core.status.thisMap.ratio\n\t\t}\n\t}\n\tcore.drawMap();\n\tcore.playSound('door.mp3');\n\tcore.drawTip(core.material.items[itemId].name + '使用成功');\n}"
	},
	"I432": {
		"cls": "items",
		"name": "天秤座",
		"canUseItemEffect": "true",
		"text": "你感受到平衡"
	}
}